fop 1.1

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfPageBreak

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPageBreak

    public class RtfPageBreak

extends RtfElement

Model of an RTF page break.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`boolean` `isEmpty()`
`protected void` `writeRtfContent()` Overridden to write our attributes before our content

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### writeRtfContent

    protected void writeRtfContent()
                            throws java.io.IOException

  Overridden to write our attributes before our content

  Specified by:
    `writeRtfContent` in class `RtfElement`
  Throws:
    `java.io.IOException` - for I/O problems

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `RtfElement`
  Returns:
    true if this element would generate no "useful" RTF content

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.